Subject: [Emu] I-D Action: draft-ietf-emu-tls-eap-types-02.txt

From: [email-masked]
Date: Sun, 21 Feb 2021 06:34:09 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the EAP Method Update WG of the IETF.

        Title           : TLS-based EAP types and TLS 1.3
        Author          : Alan DeKok
	Filename        : draft-ietf-emu-tls-eap-types-02.txt
	Pages           : 14
	Date            : 2021-02-21

Abstract:
   EAP-TLS [RFC5216] is being updated for TLS 1.3 in [EAPTLS].  Many
   other EAP [RFC3748] and [RFC5247] types also depend on TLS, such as
   FAST [RFC4851], TTLS [RFC5281], TEAP [RFC7170], and possibly many
   vendor specific EAP methods.  This document updates those methods in
   order to use the new key derivation methods available in TLS 1.3.
   Additional changes necessitated by TLS 1.3 are also discussed.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-emu-tls-eap-types/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-emu-tls-eap-types-02
https://datatracker.ietf.org/doc/html/draft-ietf-emu-tls-eap-types-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-emu-tls-eap-types-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Alan DeKok <[email-masked]>
Date: Sun, 21 Feb 2021 09:40:51 -0500

Updated to clarify text on the Commitment Message.  Largely by removing the old references to application data, and saying "do whatever EAP-TLS does".

  I've also added notes on Resumption, and some additional text in the Security Considerations document.

  I haven't aligned the key exporters with draft-ietf-emu-eap-tls13-14.  There's been some discussion around that, so I left this draft alone.  It's easy enough to change later to match the EAP-TLS document.

  I've also asked for time at the next EMU meeting to discuss this document.  I've spoken with multiple implementors, who will be shipping updates to all TLS-based EAP methods at the same time.

  I also plan on having an implementation / interoperability / hackathon report at the meeting.

> On Feb 21, 2021, at 9:34 AM, [email-masked] wrote:
> 
> 
> _______________________________________________
> Emu mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/emu